## org.h2.command.ddl
Class CreateSequence

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.SchemaCommand
                  org.h2.command.ddl.CreateSequence

    public class CreateSequence

extends SchemaCommand

This class represents the statement CREATE SEQUENCE

Field Summary

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`CreateSequence(Session session, Schema schema)`

Method Summary
`void` `setBelongsToTable(boolean belongsToTable)`
`void` `setCacheSize(Expression cacheSize)`
`void` `setIfNotExists(boolean ifNotExists)`
`void` `setIncrement(Expression increment)`
`void` `setSequenceName(java.lang.String sequenceName)`
`void` `setStartWith(Expression start)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.ddl.SchemaCommand
`getSchema`

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, isTransactional, queryMeta`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateSequence

    public CreateSequence(Session session,
                          Schema schema)

Method Detail

### setSequenceName

    public void setSequenceName(java.lang.String sequenceName)

### setIfNotExists

    public void setIfNotExists(boolean ifNotExists)

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### setStartWith

    public void setStartWith(Expression start)

### setIncrement

    public void setIncrement(Expression increment)

### setBelongsToTable

    public void setBelongsToTable(boolean belongsToTable)

### setCacheSize

    public void setCacheSize(Expression cacheSize)